%define name samba-pdfwriter
%define ver 1.0
%define rel 4ml
Serial: 2003031901

Summary: PDF Writer via Samba Printer
Name: %{name}
Version: %{ver}
Release:  %{rel}
Copyright: GPL2
Group: Networking
Source: ftp://ftp.samba.gr.jp/pub/samba-jp/samba-pdfwriter/samba-pdfwriter-%{ver}.tar.bz2
Requires: samba > 2.2.0 ghostscript truetype-fonts-ja
Prereq: chkconfig fileutils
BuildRoot: %{_tmppath}/%{name}-%{ver}-root
Provides: PDF Writer

%description
PDF Writer via Samba Printer

%changelog
* Wed Mar 19 2003 Yasuma Takeda <yasuma@miraclelinux.com>
- Update for samba-2.2

* Wed Apr 4 2001 ODAGIRI Koji <odagiri@samba.gr.jp>
- Support GhostScript 5.50

* Thu Mar 1 2001 ODAGIRI Koji <odagiri@samba.gr.jp>
- PDF Writer via Samba Printer

%prep
%setup -n samba-pdfwriter-%{ver}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/samba
mkdir -p $RPM_BUILD_ROOT/home/samba
mkdir -p $RPM_BUILD_ROOT/home/samba/bin
mkdir -p $RPM_BUILD_ROOT/home/samba/pdfoutput
mkdir -p $RPM_BUILD_ROOT/home/samba/work
install -m755 pdfwrite $RPM_BUILD_ROOT/home/samba/bin/pdfwrite
install -m644 smb.conf.pdfwriter $RPM_BUILD_ROOT/etc/samba/

%clean
rm -rf $RPM_BUILD_ROOT

%post
cat /etc/samba/smb.conf.pdfwriter >> /etc/samba/smb.conf

%preun

%postun

%files
%attr(-,root,root) %dir /home/samba
%attr(-,root,root) %dir /home/samba/bin
%attr(-,root,root) /home/samba/bin/pdfwrite
%attr(-,root,root) /etc/samba/smb.conf.pdfwriter
%attr(1777,root,nobody) %dir /home/samba/pdfoutput
%attr(0777,root,nobody) %dir /home/samba/work
